Skip to main content
Back to API List

Get All Conversations Data - Call Details-v2

To retrieve the raw data for all conversations in a detailed view. The days’ range can’t be more than seven days.
MethodPOST
Endpointhttps://{{host}}/agentassist/api/public/analytics/account/{{accountId}}/v2/interactionDetails?offset=0&limit=100, https://{{host}}/agentassist/api/public/analytics/account/{{accountId}}/v2/calldetails?offset=0&limit=100
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

PARAMETERDESCRIPTIONTYPE
hostEnvironment URL, for example, https://platform.kore.aistring, required
accountIdThe Account Idstring, required

Query Parameters

PARAMETERDESCRIPTIONTYPE
limitSpecifies the number of conversation records to retrieve, with a maximum limit of 100. For example, 50integer, optional
offsetDefines the number of pages to skip or retrieve. Defaults to 0 if unspecified, with a maximum value of 10. For example, 10integer, optional

Sample Request

curl --location 'https://{{host}}/agentassist/api/public/analytics/account/{{accountId}}/v2/interactionDetails?offset=0&limit=100' \
--header 'accept: application/json' \
--header 'content-type: application/json;charset=UTF-8' \
--header 'auth: <jwt_token>' \
--header 'iId: {{streamId}}' \
--data '{
"startDate":"2026-02-16",
"endDate":"2026-02-22",
"direction": "Outbound",
"selectedFields": [
        "skills",
        "customerinfo",
        "userleveltags",
        "sessionleveltags",
         "campaigninfo"
    ],
"queues":[],
"channels": [],
"timeZoneOffset":-330
}'

Request Header Parameters

HeaderDescriptionOptional/Required
acceptDesired response format (for example, application/json)Optional
accept-languagePreferred response language (for example, en-US)Optional
accountIdUnique account identifierRequired
app-languageApplication display language (for example, en)Optional
content-typeRequest body format (application/json;charset=UTF-8)Required
refererSource application name (for example, smartassist)Optional
authJWT authentication tokenRequired
IIdStream or application idRequired

Request Body Parameters

ParameterDescriptionType
startDateThe start date from which records are considered. Format: yyyy-mm-dd HH24:mm:ss. Example: 2022-08-25 07:20:15DateTime, required
endDateThe end date up to which records are considered. Format: yyyy-mm-dd HH24:mm:ss. Example: 2022-08-25 18:20:15DateTime, required
timeZoneOffsetThe time zone offset. Examples: -330, 630, -500. Note: For US/New York, the offset is 300. Use a minus sign for time zones east of GMT; no sign for time zones west of GMT.number, required
selectedFieldsSpecifies which data fields to include in the API response. skills - Returns the agent’s areas of expertise or capabilities. customerinfo - Includes key customer details such as email, first name, last name, phone number, and other details. userleveltags - Returns tags assigned at the individual user level for categorization or filtering. sessionleveltags - Returns tags associated with a specific session or conversation instance. campaigninfo- Returns campaign details associated with a specific session or conversation.array[string], optional
channelsThe channels to include. Example: ['rtm', 'voice']array[string], optional
directionSpecifies the interaction direction to filter conversation data. Valid values typically include Inbound, Outbound, or Both.string, optional
queuesThe list of queue IDs in the instance bots.array[string], optional

Sample Response

{
    "numResults": 10,
    "data": [
        {
            "sessionId": "68db745779cb8cebd651xxxx",
            "channel": "Web/Mobile Client",
            "sessionStartTime": "2025-09-30T11:40:31",
            "sessionEndTime": "2025-09-30T11:40:42",
            "botId": "st-1d7611fa-908a-5f0c-8871-f7ea97a0xxxx",
            "userId": "u-ae9c9170-7a27-5cf5-89ab-e345d9e7xxxx",
            "channelSpecificUserId": "john.doe@example.com",
            "orgId": "o-5a0da1e4-2df3-5cec-9ee4-af0b2efdxxxx",
            "smartStatus": "CLOSED AT BOT",
            "reason": "",
            "disconnectingEvent": "",
            "errorDetails": "",
            "finalStatus": "BotResolved",
            "automationBotIDs": [
                "st-e5c6ae6b-c388-5acd-93b7-bada87a7xxxx"
            ]
        },
        {
            "sessionId": "68db74b379cb8cebd651xxxx",
            "channel": "Web/Mobile Client",
            "sessionStartTime": "2025-09-30T11:42:03",
            "sessionEndTime": "2025-09-30T11:42:16",
            "botId": "st-1d7611fa-908a-5f0c-8871-f7ea97a0xxxx",
            "userId": "u-ae9c9170-7a27-5cf5-89ab-e345d9e7xxxx",
            "channelSpecificUserId": "jane.doe@example.com",
            "orgId": "o-5a0da1e4-2df3-5cec-9ee4-af0b2efdxxxx",
            "smartStatus": "CLOSED AT BOT",
            "reason": "",
            "disconnectingEvent": "",
            "errorDetails": "",
            "finalStatus": "BotResolved",
            "automationBotIDs": [
                "st-e5c6ae6b-c388-5acd-93b7-bada87a7xxxx"
            ]
        },
        {
            "sessionId": "68db74e179cb8cebd651xxxx",
            "channel": "Web/Mobile Client",
            "sessionStartTime": "2025-09-30T11:42:49",
            "sessionEndTime": "2025-09-30T11:42:56",
            "botId": "st-1d7611fa-908a-5f0c-8871-f7ea97a0xxxx",
            "userId": "u-ae9c9170-7a27-5cf5-89ab-e345d9e7xxxx",
            "channelSpecificUserId": "john.doe@example.com",
            "orgId": "o-5a0da1e4-2df3-5cec-9ee4-af0b2efdxxxx",
            "smartStatus": "CLOSED AT BOT",
            "reason": "",
            "disconnectingEvent": "",
            "errorDetails": "",
            "finalStatus": "BotResolved",
            "automationBotIDs": [
                "st-e5c6ae6b-c388-5acd-93b7-bada87a7xxxx"
            ]
        },
        {
            "conversationId": "c-b48e690-7d7c-4e72-9855-a669d688xxxx",
            "sessionId": "68db819479cb8cebd651xxxx",
            "channel": "Voice",
            "isVoicemail": "NO",
            "Direction": "Inbound",
            "finalStatus": "CLOSED",
            "smartStatus": "CLOSED",
            "reason": "Requires Supervisor Attention",
            "disconnectingEvent": "Agent Hangup",
            "errorDetails": "",
            "botId": "st-1d7611fa-908a-5f0c-8871-f7ea97a0xxxx",
            "dispositions": [
                "Requires Supervisor Attention"
            ],
            "dispositionRemarks": [
                "The customer requested to pay their bill. The bot acknowledged the request and informed the customer that an agent would be required to assist with the bill payment. The bot asked the customer to hold while connecting to an available agent. The agent then joined the conversation and greeted the customer."
            ],
            "metaInfo": {
                "caller": "+13213xxxxx",
                "callee": "+13343xxxxx",
                "callerHost": "54.172.60.2",
                "userId": "u-4245d01e-6124-587a-85b2-939fe3cfxxxx",
                "dialedNumber": "+13343xxxxx",
                "agentTransferConfig": {
                    "skillsIds": [
                        "6834045b2e9b90fa31c8xxxx",
                        "6834045b2e9b90fa31c8xxxx"
                    ],
                    "overrideAgents": false,
                    "overrideValues": [],
                    "assistEvents": {
                        "startEvent": {
                            "isEnabled": false
                        }
                    },
                    "automationBotId": "st-e5c6ae6b-c388-5acd-93b7-bada87a7xxxx",
                    "lastIntentName": "Pay Bill",
                    "lastIntentuserInput": "Can you pay my bill?",
                    "dialog_tone": [],
                    "accountId": "674daf4bc9d17f4dc070xxxx"
                },
                "workinghours": {
                    "workdays": "mon,tue,wed,thu,fri",
                    "workstart": "8:00 AM",
                    "workend": "5:00 PM"
                },
                "profImage": "no-avatar",
                "profColour": "#ff4500",
                "jTitle": "",
                "dept": "",
                "activationStatus": "active",
                "firstName": "",
                "lastName": "",
                "orgId": "o-2b41857b-a1cb-5862-8faf-e3d99c3axxxx",
                "_id": "u-4245d01e-6124-587a-85b2-939fe3cfxxxx",
                "accountId": "60625df27092898e35d9xxxx",
                "identities": [
                    {
                        "val": "cs-259844d3-7827-5f33-ae7c-9d790e6d7548/9884fdd7-8546-4db8-bb66-5a7fef18xxxx",
                        "type": "mapped"
                    },
                    {
                        "val": "674daf4bc9d17f4dc07034a4/korevg/9884fdd7-8546-4db8-bb66-5a7fef18xxxx",
                        "type": "mapped"
                    }
                ],
                "transcribeConfig": {
                    "transcribe": true
                }
            },
            "sessionStartTime": "2025-09-30T12:37:00",
            "sessionEndTime": "2025-09-30T12:38:06",
            "channelSpecificUserId": "674daf4bc9d17f4dc070xxxx/korevg/9884fdd7-8546-4db8-bb66-5a7fef18xxxx",
            "userId": "u-4245d01e-6124-587a-85b2-939fe3cfxxxx",
            "destinations": [
                {
                    "destinationType": "QueueEntry",
                    "queueId": "qu-7a58cc5-0599-4609-817c-873d8384xxxx",
                    "queueName": "Default Queue",
                    "CallbackOpted": false,
                    "EnterTime": "2025-09-30T12:37:11",
                    "respondingAgent": {
                        "agentId": "u-e3f58196-0f28-5419-9601-dc136e8dxxxx",
                        "agentNotes": [
                            "The customer requested to pay their bill. The bot acknowledged the request and informed the customer that an agent would be required to assist with the bill payment. The bot asked the customer to hold while connecting to an available agent. The agent then joined the conversation and greeted the customer."
                        ],
                        "destinationType": "AgentSegment",
                        "status": "Answered",
                        "firstResponseTime": "2025-09-30T12:37:20",
                        "firstResponseDuration": 0,
                        "interactionEndTime": "2025-09-30T12:38:09",
                        "interactionDuration": 49,
                        "afterCallWorkDuration": 4,
                        "afterCallWorkEndTime": "2025-09-30T12:38:13",
                        "ConsultingAgents": [
                            {
                                "name": "+919550xxxxx",
                                "acceptedTime": "2025-09-30T12:37:51",
                                "assignedAt": "2025-09-30T12:37:44",
                                "consultingEndTime": "2025-09-30T12:38:02"
                            }
                        ],
                        "JoinedUsers": [],
                        "email": "john.doe@example.com",
                        "name": "John Doe",
                        "acceptedTime": "2025-09-30T12:37:20",
                        "assignedAt": "2025-09-30T12:37:16"
                    }
                }
            ],
            "automationBotIDs": [
                "st-e5c6ae6b-c388-5acd-93b7-bada87a7xxxx"
            ]
        },
        {
            "conversationId": "c-c880eb2-0a78-416e-a5b6-b210d033xxxx",
            "sessionId": "68db79e679cb8cebd651xxxx",
            "channel": "Voice",
            "isVoicemail": "NO",
            "Direction": "Inbound",
            "finalStatus": "CLOSED",
            "smartStatus": "CLOSED",
            "reason": "Requires Supervisor Attention",
            "disconnectingEvent": "Bot Hangup",
            "errorDetails": "",
            "botId": "st-1d7611fa-908a-5f0c-8871-f7ea97a0xxxx",
            "dispositions": [
                "Requires Supervisor Attention"
            ],
            "dispositionRemarks": [
                "The customer requested to pay their bill. The bot acknowledged the request and informed the customer that an agent would be required to assist with the bill payment process. The customer agreed to hold, and the bot connected them to an available agent. The agent then took over the conversation."
            ],
            "metaInfo": {
                "caller": "+13213xxxxx",
                "callee": "+133434xxxxx",
                "callerHost": "54.xxx.xx.1",
                "userId": "u-c1ca58fb-2208-52f8-9f9c-d542316exxxx",
                "dialedNumber": "+133434xxxxx",
                "agentTransferConfig": {
                    "skillsIds": [
                        "6834045b2e9b90fa31c8xxxx",
                        "6834045b2e9b90fa31c8xxxx"
                    ],
                    "overrideAgents": false,
                    "overrideValues": [],
                    "assistEvents": {
                        "startEvent": {
                            "isEnabled": false
                        }
                    },
                    "automationBotId": "st-e5c6ae6b-c388-5acd-93b7-bada87a7xxxx",
                    "lastIntentName": "Pay Bill",
                    "lastIntentuserInput": "Can you  pay my bill?",
                    "dialog_tone": [],
                    "accountId": "674daf4bc9d17f4dc070xxxx"
                },
                "workinghours": {
                    "workdays": "mon,tue,wed,thu,fri",
                    "workstart": "8:00 AM",
                    "workend": "5:00 PM"
                },
                "profImage": "no-avatar",
                "profColour": "#ff4500",
                "jTitle": "",
                "dept": "",
                "activationStatus": "active",
                "firstName": "",
                "lastName": "",
                "orgId": "o-2b41857b-a1cb-5862-8faf-e3d99c3axxxx",
                "_id": "u-c1ca58fb-2208-52f8-9f9c-d542316exxxx",
                "accountId": "60625df27092898e35d9xxxx",
                "identities": [
                    {
                        "val": "cs-259844d3-7827-5f33-ae7c-9d790e6dxxxx/c246a41e-91c1-418f-a4c3-a5d4ad59xxxx",
                        "type": "mapped"
                    },
                    {
                        "val": "674daf4bc9d17f4dc070xxxx/korevg/c246a41e-91c1-418f-a4c3-a5d4ad59xxxx",
                        "type": "mapped"
                    }
                ],
                "transcribeConfig": {
                    "transcribe": true
                }
            },
            "sessionStartTime": "2025-09-30T12:04:14",
            "sessionEndTime": "2025-09-30T12:06:08",
            "channelSpecificUserId": "674daf4bc9d17f4dc070xxxx/korevg/c246a41e-91c1-418f-a4c3-a5d4ad59xxxx",
            "userId": "u-c1ca58fb-2208-52f8-9f9c-d542316exxxx",
            "destinations": [
                {
                    "destinationType": "QueueEntry",
                    "queueId": "qu-7a58cc5-0599-4609-817c-873d8384xxxx",
                    "queueName": "Default Queue",
                    "CallbackOpted": true,
                    "CallbackOptedTime": "2025-09-30T06:34:48.810Z",
                    "userCallbackAcceptTime": "2025-09-30T06:35:00.589Z",
                    "EnterTime": "2025-09-30T12:04:23",
                    "respondingAgent": {
                        "agentId": "u-e3f58196-0f28-5419-9601-dc136e8dxxxx",
                        "agentNotes": [
                            "The customer requested to pay their bill. The bot acknowledged the request and informed the customer that an agent would be required to assist with the bill payment process. The customer agreed to hold, and the bot connected them to an available agent. The agent then took over the conversation."
                        ],
                        "destinationType": "AgentSegment",
                        "status": "Answered",
                        "firstResponseTime": "2025-09-30T12:05:00",
                        "firstResponseDuration": 0,
                        "interactionEndTime": "2025-09-30T12:06:10",
                        "interactionDuration": 70,
                        "afterCallWorkDuration": 3,
                        "afterCallWorkEndTime": "2025-09-30T12:06:13",
                        "ConsultingAgents": [
                            {
                                "name": "Jane Doe",
                                "acceptedTime": "2025-09-30T12:05:45",
                                "assignedAt": "2025-09-30T12:05:36",
                                "consultingEndTime": "2025-09-30T12:05:58"
                            }
                        ],
                        "JoinedUsers": [],
                        "email": "john.doe@example.com",
                        "name": "John Doe",
                        "acceptedTime": "2025-09-30T12:05:00",
                        "assignedAt": "2025-09-30T12:04:48"
                    }
                }
            ],
            "automationBotIDs": [
                "st-e5c6ae6b-c388-5acd-93b7-bada87a7xxxx"
            ]
        },
{
            "conversationId": "c-252425a-903a-469e-b16d-eee318e3xxxx",
            "sessionId": "68dcfba48d99cc7cd125xxxx",
            "channel": "Web/Mobile Client",
            "isVoicemail": "NO",
            "Direction": "Inbound",
            "skills": [],
            "finalStatus": "CLOSED",
            "smartStatus": "CLOSED",
            "reason": "",
            "disconnectingEvent": "Agent Closed",
            "botId": "st-df029793-114e-55ab-9d80-8777af8axxxx",
            "dispositions": [],
            "dispositionRemarks": [],
            "metaInfo": {
                "firstName": "John",
                "lastName": "Doe",
                "email": "john.doe@example.com",
                "phoneNumber": "150551xxxxx",
                "identities": [
                    {
                        "val": "cs-ddee2921-797d-5751-8786-bf06xxxx/22f2681a-23d9-420a-9852-5bdab917afd61f1ce2a8-b737-48ee-89b3-bfeeacb3xxxx",
                        "type": "mapped"
                    }
                ],
                "agentTransferConfig": {
                    "overrideAgents": false,
                    "overrideValues": [],
                    "assistEvents": {
                        "startEvent": {
                            "botId": "st-df029793-114e-55ab-9d80-8777af8axxxx",
                            "isEnabled": false
                        }
                    },
                    "automationBotId": "st-df029793-114e-55ab-9d80-8777af8axxxx",
                    "lastIntentName": "agent transfer",
                    "dialog_tone": []
                },
                "ipAddress": "123.xxx.xx.xxx",
                "hostDomain": "{{host}}",
                "os": "Windows"
            },
            "customerinfo": {
                "CustomerPhone": "12345xxxxx",
                "CenterPhone": "",
                "CustomerFirstName": "Jane",
                "CustomerLastName": "Doe",
                "CustomerEmail": "jane.doe@example.com"
            },
            "sessionStartTime": "2025-10-01T15:30:04",
            "sessionEndTime": "2025-10-01T15:31:01",
            "channelSpecificUserId": "cs-ddee2921-797d-5751-8786-bf060407xxxx/22f2681a-23d9-420a-9852-5bdab917afd61f1ce2a8-b737-48ee-89b3-bfeeacb3xxxx",
            "userId": "u-fb8994f9-3a52-58ed-8f73-81204e7xxxx",
            "destinations": [
                {
                    "destinationType": "QueueEntry",
                    "queueId": "qu-577416d-3745-40e7-904c-85ba1a04xxxx",
                    "queueName": "Default Queue",
                    "CallbackOpted": false,
                    "EnterTime": "2025-10-01T15:30:23",
                    "nonRespondingAgents": [
                        {
                            "agentId": "u-3ea001b4-664a-58b6-8108-b8bca375xxxx",
                            "agentNotes": [
                                "The customer requested to connect with an agent. The bot acknowledged the request and initiated the transfer process, asking the customer to hold."
                            ],
                            "destinationType": "AgentSegment",
                            "email": "john.doe@example.com",
                            "name": "John Doe",
                            "assignedAt": "2025-10-01T15:30:35",
                            "nonResponseEvent": "Supervisor Reassigned"
                        }
                    ]
                },
                {
                    "agentId": "u-3ea001b4-664a-58b6-8108-b8bca37xxxxx",
                    "agentNotes": [
                        "The customer requested to connect with an agent. The bot acknowledged the request and initiated the transfer process, asking the customer to hold."
                    ],
                    "destinationType": "AgentSegment",
                    "status": "Answered",
                    "interactionEndTime": "2025-10-01T15:31:00",
                    "interactionDuration": 15,
                    "afterCallWorkDuration": 32,
                    "afterCallWorkEndTime": "2025-10-01T15:31:32",
                    "ConsultingAgents": [],
                    "JoinedUsers": [],
                    "email": "jane.doe@example.com",
                    "name": "Jane Doe",
                    "acceptedTime": "2025-10-01T15:30:45",
                    "assignedAt": "2025-10-01T15:30:42"
                }
            ],
            "userleveltags": [],
            "sessionleveltags": []
            
        },
     {
            "conversationId": "c-9c9a4c6-6614-4adc-9a29-12e4278xxxxx",
            "sessionId": "6993256027d16c0edd2xxxxx",
            "channel": "Voice",
            "isVoicemail": "NO",
            "Direction": "Outbound",
            "skills": [],
            "finalStatus": "CLOSED",
            "disconnectingEvent": "",
            "smartStatus": "CLOSED",
            "reason": "",
            "errorDetails": "",
            "botId": "st-d567cae4-0d18-577f-8944-3d6fbdexxxxx",
            "dispositions": [],
            "dispositionRemarks": [],
            "metaInfo": {
                "campaignName": "Jan 23 hotfix check (Copy)",
                "userId": "u-4fa7f000-3bcb-5c90-b647-76b4aa9xxxxx",
                "firstName": "Office",
                "lastName": "man",
                "caller": "+140258xxxxx",
                "callee": "9191002xxxxx",
                "Initiation": "Campaign",
                "dialedNumber": "+140258xxxxx",
                "endUserNumber": "9191002xxxxx",
                "attempt": 2
            },
            "customerinfo": {
                "CustomerPhone": "",
                "CenterPhone": "+140258xxxxx",
                "CustomerFirstName": "John",
                "CustomerLastName": "Doe",
                "CustomerEmail": ""
            },
            "sessionStartTime": "2026-02-16T19:40:40",
            "sessionEndTime": "2026-02-16T19:40:40",
            "userId": "u-4fa7f000-3bcb-5c90-b647-76b4aa9xxxxx",
            "destinations": [],
            "userleveltags": [],
            "sessionleveltags": [
                {
                    "name": "audioCodesCallDisconnect",
                    "value": "1"
                }
            ],
            "campaigninfo": {
                "campaignName": "Jan 23 hotfix check (Copy)",
                "campaignId": "cd-3e9169e-9b3a-4415-bdcd-4700a44xxxxx",
                "campaignInstanceId": "cid-3b2e4e9-882d-48a7-a5a3-286b007xxxxx",
                "campaignDialingListId": "cdl-6be0807b-c7cf-53fb-8c3c-ee2f66fxxxxx",
                "attempt": 2,
                "contactStatus": "no-answer",
                "campaignRunDate": "2026-02-16T14:06:41.807Z",
                "contactListName": [
                    "WANTED JAN23"
                ]
            },
            "channelSpecificUserId": "cs-517d4422-a33f-50f7-a67d-d826b5fxxxxx/df922694-9d08-4026-8414-aef1d74xxxxx"
        },
     {
            "conversationId": "c-b807a56-5346-467a-b835-404d244xxxxx",
            "sessionId": "699c22cc3075d4d6997xxxxx",
            "channel": "Web/Mobile Client",
            "isVoicemail": "NO",
            "Direction": "Inbound",
            "skills": [],
            "finalStatus": "CLOSED",
            "disconnectingEvent": "Agent Closed",
            "smartStatus": "CLOSED",
            "reason": "Resolved",
            "errorDetails": "",
            "botId": "st-8e0bc152-9cfc-5b48-b8b0-41e4d2axxxxx",
            "dispositions": [
                "Resolved"
            ],
            "dispositionRemarks": [
                "The bot initiated a transfer to an agent and connected the customer with uxo. The agent greeted the customer and the bot informed them that they were being transferred to another agent's queue. The customer was then connected with Uat, who greeted them again. Uat closed the conversation, indicating that the customer could reach out again if further assistance was needed."
            ],
            "metaInfo": {
                "workinghours": {
                    "workdays": "mon,tue,wed,thu,fri",
                    "workstart": "8:00 AM",
                    "workend": "5:00 PM"
                },
                "profImage": "no-avatar",
                "profColour": "#2e8b57",
                "jTitle": "",
                "dept": "",
                "activationStatus": "active",
                "firstName": "",
                "lastName": "",
                "orgId": "o-2b41857b-a1cb-5862-8faf-e3d99c3xxxxx",
                "_id": "u-1e92130e-a3f2-55ae-9472-52a1f02xxxxx",
                "identities": [
                    {
                        "val": "cs-325638a4-3312-5624-b19a-bbbc150xxxxx/89a479d9-b927-42aa-bd0d-af97c6eceec2a3c64dff-1501-4fcd-955d-a69239cxxxxx",
                        "type": "mapped"
                    }
                ],
                "agentTransferConfig": {
                    "overrideAgents": false,
                    "overrideValues": [],
                    "assistEvents": {
                        "startEvent": {
                            "botId": "st-8e0bc152-9cfc-5b48-b8b0-41e4d2axxxxx",
                            "isEnabled": false
                        }
                    },
                    "lastIntentName": "ConnectToAgent",
                    "automationBotId": "st-8e0bc152-9cfc-5b48-b8b0-41e4d2xxxxx"
                },
                "ipAddress": "115.114.xx.xxx",
                "hostDomain": "{{hostDomain}}",
                "os": "Windows"
            },
            "customerinfo": {
                "CustomerPhone": "",
                "CenterPhone": "",
                "CustomerFirstName": "",
                "CustomerLastName": "",
                "CustomerEmail": ""
            },
            "sessionStartTime": "2026-02-23T15:20:04",
            "sessionEndTime": "2026-02-23T15:21:36",
            "channelSpecificUserId": "cs-325638a4-3312-5624-b19a-bbbc150xxxxx/89a479d9-b927-42aa-bd0d-af97c6eceec2a3c64dff-1501-4fcd-955d-a69239cxxxxx",
            "userId": "u-1e92130e-a3f2-55ae-9472-52a1f02xxxxx",
            "destinations": [
                {
                    "destinationType": "QueueEntry",
                    "queueId": "qu-52d7969-7e11-45e6-867b-cda9ccdxxxxx",
                    "queueName": "Default Queue",
                    "CallbackOpted": false,
                    "EnterTime": "2026-02-23T15:20:04",
                    "respondingAgent": {
                        "agentId": "u-92b5cb3b-b0cc-5e37-b321-31c3255xxxxx",
                        "agentNotes": [],
                        "destinationType": "AgentSegment",
                        "status": "Answered",
                        "firstResponseTime": "2026-02-23T15:21:06",
                        "firstResponseDuration": 6,
                        "interactionEndTime": "2026-02-23T15:21:10",
                        "interactionDuration": 11,
                        "ConsultingAgents": [],
                        "JoinedUsers": [],
                        "email": "john.doe@example.com",
                        "name": "john doe",
                        "acceptedTime": "2026-02-23T15:21:00",
                        "assignedAt": "2026-02-23T15:20:04"
                    }
                },
                {
                    "agentId": "u-d289fb12-bf8a-53d7-9a96-998b156xxxxx",
                    "agentNotes": [
                        "The bot initiated a transfer to an agent and connected the customer with uxo. The agent greeted the customer and the bot informed them that they were being transferred to another agent's queue. The customer was then connected with Uat, who greeted them again. Uat closed the conversation, indicating that the customer could reach out again if further assistance was needed."
                    ],
                    "destinationType": "AgentSegment",
                    "status": "Answered",
                    "firstResponseTime": "2026-02-23T15:21:20",
                    "firstResponseDuration": 5,
                    "interactionEndTime": "2026-02-23T15:21:24",
                    "interactionDuration": 10,
                    "afterCallWorkDuration": 5,
                    "afterCallWorkEndTime": "2026-02-23T15:21:29",
                    "ConsultingAgents": [],
                    "JoinedUsers": [],
                    "email": "john.doe@example.com",
                    "name": "john doe",
                    "acceptedTime": "2026-02-23T15:21:14",
                    "assignedAt": "2026-02-23T15:21:12"
                }
            ],
            "likeDislikeScore": 1,
            "surveyType": "likeDislike",
            "userleveltags": [],
            "sessionleveltags": [],
            "campaigninfo": {
                "attempt": "",
                "contactStatus": "Resolved"
            }
        },


{
            "conversationId": "c-586a8b5-37ca-4e80-8c34-a53c5c6xxxxx",
            "sessionId": "699bfded91ef376ff70xxxxx",
            "channel": "Web/Mobile Client",
            "isVoicemail": "NO",
            "Direction": "Inbound",
            "skills": [],
            "finalStatus": "CLOSED",
            "disconnectingEvent": "System Hangup",
            "smartStatus": "TERMINATED",
            "reason": "DROP-OFF",
            "errorDetails": "",
            "botId": "st-8e0bc152-9cfc-5b48-b8b0-41e4d2xxxxx",
            "dispositions": [
                "DROP-OFF"
            ],
            "dispositionRemarks": [
                "-"
            ],
            "metaInfo": {
                "workinghours": {
                    "workdays": "mon,tue,wed,thu,fri",
                    "workstart": "8:00 AM",
                    "workend": "5:00 PM"
                },
                "profImage": "no-avatar",
                "profColour": "#00008b",
                "jTitle": "",
                "dept": "",
                "activationStatus": "active",
                "firstName": "",
                "lastName": "",
                "orgId": "o-2b41857b-a1cb-5862-8faf-e3d99cxxxxx",
                "_id": "u-fa7190cf-f874-5723-820f-1064646xxxxx",
                "identities": [
                    {
                        "val": "cs-325638a4-3312-5624-b19a-bbbc150xxxxx/bf3c21d4-8371-40ce-974a-2a0b52fa8318b778870e-c7f1-4ca4-b3c9-8d3f240xxxxx",
                        "type": "mapped"
                    }
                ],
                "agentTransferConfig": {
                    "overrideAgents": false,
                    "overrideValues": [],
                    "assistEvents": {
                        "startEvent": {
                            "botId": "st-8e0bc152-9cfc-5b48-b8b0-41e4d2xxxxx",
                            "isEnabled": false
                        }
                    },
                    "lastIntentName": "ConnectToAgent",
                    "automationBotId": "st-8e0bc152-9cfc-5b48-b8b0-41e4d2xxxxx"
                },
                "ipAddress": "115.114.xx.xxx",
                "hostDomain": "{{hostDomain}}",
                "os": "Windows"
            },
            "customerinfo": {
                "CustomerPhone": "",
                "CenterPhone": "",
                "CustomerFirstName": "",
                "CustomerLastName": "",
                "CustomerEmail": ""
            },
            "sessionStartTime": "2026-02-23T12:42:45",
            "sessionEndTime": "2026-02-23T12:42:51",
            "channelSpecificUserId": "cs-325638a4-3312-5624-b19a-bbbc150xxxxx/bf3c21d4-8371-40ce-974a-2a0b52fa8318b778870e-c7f1-4ca4-b3c9-8d3f240xxxxx",
            "userId": "u-fa7190cf-f874-5723-820f-1064646xxxxx",
            "destinations": [
                {
                    "destinationType": "QueueEntry",
                    "queueId": "qu-52d7969-7e11-45e6-867b-cda9ccdxxxxx",
                    "queueName": "Default Queue",
                    "CallbackOpted": false,
                    "EnterTime": "2026-02-23T12:42:45"
                }
            ],
            "npsScore": 8,
            "surveyType": "nps",
            "userleveltags": [],
            "sessionleveltags": [],
            "campaigninfo": {
                "attempt": "",
                "contactStatus": "DROP-OFF"
            }
        },
{
            "conversationId": "c-0ac330d-0c53-4edc-a4d4-23d3a91xxxxx",
            "sessionId": "699c020c28f2a5aae9bxxxxx",
            "channel": "Web/Mobile Client",
            "isVoicemail": "NO",
            "Direction": "Inbound",
            "skills": [],
            "finalStatus": "CLOSED",
            "disconnectingEvent": "System Hangup",
            "smartStatus": "TERMINATED",
            "reason": "DROP-OFF",
            "errorDetails": "",
            "botId": "st-8e0bc152-9cfc-5b48-b8b0-41e4d2axxxxx",
            "dispositions": [
                "DROP-OFF"
            ],
            "dispositionRemarks": [
                "-"
            ],
            "metaInfo": {
                "workinghours": {
                    "workdays": "mon,tue,wed,thu,fri",
                    "workstart": "8:00 AM",
                    "workend": "5:00 PM"
                },
                "profImage": "no-avatar",
                "profColour": "#00ff7f",
                "jTitle": "",
                "dept": "",
                "activationStatus": "active",
                "firstName": "",
                "lastName": "",
                "orgId": "o-2b41857b-a1cb-5862-8faf-e3d99c3xxxxx",
                "_id": "u-4b8a2d08-bf57-520f-8ee2-1669d8axxxxx",
                "identities": [
                    {
                        "val": "cs-325638a4-3312-5624-b19a-bbbc150xxxxx/d6b37c15-d2b1-4953-bbb7-3bca16a4ec94aa5feec4-cb64-4412-85f6-0beb679xxxxx",
                        "type": "mapped"
                    }
                ],
                "agentTransferConfig": {
                    "overrideAgents": false,
                    "overrideValues": [],
                    "assistEvents": {
                        "startEvent": {
                            "botId": "st-8e0bc152-9cfc-5b48-b8b0-41e4d2xxxxx",
                            "isEnabled": false
                        }
                    },
                    "lastIntentName": "ConnectToAgent",
                    "automationBotId": "st-8e0bc152-9cfc-5b48-b8b0-41e4d2xxxxx"
                },
                "ipAddress": "115.114.xx.xxx",
                "hostDomain": "{{hostDomain}}",
                "os": "Windows"
            },
            "customerinfo": {
                "CustomerPhone": "",
                "CenterPhone": "",
                "CustomerFirstName": "",
                "CustomerLastName": "",
                "CustomerEmail": ""
            },
            "sessionStartTime": "2026-02-23T13:00:20",
            "sessionEndTime": "2026-02-23T13:00:36",
            "channelSpecificUserId": "cs-325638a4-3312-5624-b19a-bbbc150xxxxx/d6b37c15-d2b1-4953-bbb7-3bca16a4ec94aa5feec4-cb64-4412-85f6-0beb679xxxxx",
            "userId": "u-4b8a2d08-bf57-520f-8ee2-1669d8axxxxx",
            "destinations": [
                {
                    "destinationType": "QueueEntry",
                    "queueId": "qu-52d7969-7e11-45e6-867b-cda9ccdxxxxx",
                    "queueName": "Default Queue",
                    "CallbackOpted": false,
                    "EnterTime": "2026-02-23T13:00:20"
                }
            ],
            "csatScore": 4,
            "surveyType": "csat",
            "userleveltags": [],
            "sessionleveltags": [],
            "campaigninfo": {
                "attempt": "",
                "contactStatus": "DROP-OFF"
            }
        }

    ]
}

Response Parameters

Parameter NameType and FormatDescriptionExample
conversationIdtype-prefixed-guidAn ID generated by SmartAssist for this conversation.c-7b08889-539d-408d-a3e6-9e6ae059xxxx
sessionIdinternal valueA bot-generated ID for this conversation.63bd199c197b3646dadexxxx
channelcharacter stringName of the channel. Values - Web/Mobile Client, System Mail, or VoiceWeb / Mobile Client
sessionStartTimeYYYY-MM-DDTHH SSStart time of the session.2023-01-10 2:25:54
sessionEndTimeYYYY-MM-DDTHH SSEnd time of the session.2023-01-10 2:25:54
botIdtype-prefixed-guidIdentifier of the bot involved.st-ae8470ab-8ecb-51fb-8e13-c87dc66fxxxx
userIdtype-prefixed-guidSmartAssist’s own generated user IDu-8413fd99-4ded-5f6d-8c1a-176dc66xxxx
channelSpecificUserIdno known formatUser ID passed by the channeljohn.doe@example.com
orgIdtype-prefixed-guidThe organization IDo-5a0da1e4-2df3-5cec-9ee4-af0b2efdxxxx
smartStatusStringThe summarised live status of the session.CLOSED
Reasoncharacter stringThe reason for the status.NO AGENTS AVAILABLE
disconnectingEventcharacter stringThe final event leading to the conversation endingSystem Hangup
errorDetailsStringDetails of any error that occurred.
finalStatuscharacter stringCompletion status of the conversationCLOSED or BotResolved
automationBotIDsArrayList of automation bots involved in the session.”st-e5c6ae6b-c388-5acd-93b7-badaxxxx”
isVoicemailBooleanIndicates if the session was a voicemail.NO
DirectionStringDirection of the call. Values: Inbound, Outbound.Inbound
finalStatusStringFinal status of the sessionCLOSED
dispositionsarray of stringsDisposition assigned to the conversation.[ “Requires Supervisor Attention” ]
dispositionRemarks`array of stringsRemarks or notes related to the disposition from the agent.[” CUSTOMER needs help with Products and Sales. AGENT will connect her with an agent.”]
metaInfoobjectContains custom information, set by the automation
metaInfo.callerstringPhone number of the caller.+112345xxxxx
metaInfo.calleestringPhone number of the person receiving the call+112345xxxxx
metaInfo.callerHoststringIP address of the caller.12.xxx.67.8
metaInfo.userIdstringUnique identifier of the user.u-4245d01e-6124-587a-85b2-939fe3cfxxxx
metaInfo.dialedNumberstringNumber dialed by the caller.+112345xxxxx
metaInfo.agentTransferConfigobjectContains configuration for agent transfer including skills, bot, and last intent.
metaInfo.agentTransferConfig.skillsIdsarrayID of each skill of the agent handling this conversation”6834045b2e9b90fa31c8xxxx”, “6834045b2e9b90fa31c8xxxx”
metaInfo.agentTransferConfig.overrideAgentsbooleanIndicates whether the default agent selection logic is overridden.false
metaInfo.agentTransferConfig.overrideValuesarrayList of override parameters applied when agent selection logic is overridden.
metaInfo.agentTransferConfig.assistEventsobjectContains configuration for assist-related events.
metaInfo.agentTransferConfig.assistEvents.startEventobjectContains configuration details for the assist start event
metaInfo.agentTransferConfig.assistEvents.startEvent.startEvent.isEnabledbooleanIndicates whether the assist start event is enabled.false
metaInfo.agentTransferConfig.lastIntentNamestringThe last intent posted to the bot by the userPay Bill
metaInfo.agentTransferConfig.lastIntentuserInputstringThe user posted by the userCan you please pay my bill?
metaInfo.agentTransferConfig.dialog_tonearrayCollection of detected conversational tone attributes associated with the interaction.
metaInfo.ipAddressstringIP address from which the user accessed the session.123.xxx.xxx.876
metaInfo.hostDomainstringDomain of the platform instance handling the interaction.
metaInfo.osstringOperating system of the user’s device.Windows
metaInfo.customerinfoObjectContains customer details captured during the session.
metaInfo.customerinfo.CustomerPhonestringCustomer’s phone number.+198765xxxxx
metaInfo.customerinfo.CenterPhonestringContact number of the service center
metaInfo.customerinfo.CustomerFirstNamestringCustomer’s first name.John
metaInfo.customerinfo.CustomerLastNamestringCustomer’s last nameDoe
metaInfo.customerinfo.CustomerEmailstringCustomer’s email address.john.doe@example.com
metaInfo.agentTransferConfig.accountIdstringUnique identifier of the customer account associated with the session.674daf4bc9d17f4dc070xxxx
metaInfo.workinghoursobjectDefines the agent’s working days and hours.
metaInfo.workinghours.workdaysstringThe working days of the agentmon,tue,wed,thu,fri
metaInfo.workinghours.workstartstringThe time when the agent begins accepting calls8:00 AM
metaInfo.workinghours.workendstringThe time when the agent stops accepting calls.5:00 PM
metaInfo.profImagestringProfile image of the agent.
metaInfo.profColourstringProfile color code.#ff4500
metaInfo.jTitlestringJob title of the agent.
metaInfo.deptStringDepartment of the agent.
metaInfo.activationStatusstringThe activation status of agentactive
metaInfo.firstNamestringThe first name of the agent.Jane
metaInfo.lastNamestringThe last name of the agentDoe
metaInfo._idstringInternal identifier for the user object.u-c1ca58fb-2208-52f8-9f9c-d542316exxxx
metaInfo.identitiesArray of objectsContains the list of mapped identities for the user.
metaInfo.identities.valstringMapped identity value.cs-259844d3-7827-5f33-ae7c-9d790e6d7548/c246a41e-91c1-418f-a4c3-a5d4ad59xxxx
metaInfo.identities.typestringType of identity mappingmapped
metaInfo.transcribeConfigobjectConfiguration for call transcription.
metaInfo.transcribeConfig.transcribeBooleanIndicates whether transcription is enabled for the session.true
destinationsarray of objectsOne object for each Queue or Agent that the call was transferred to.
destinations.destinationTypeStringDestination for any transfer – to distinguish a direct-to-agent transfer from a transfer to queueQueueEntry
destinations.queueIdtype-prefixed-guidSmartAssist’s internal ID for the Queuequ-123dbe9-c752-464d-a9be-1d0e43b6xxxx
destinations.queueNamecharacter stringName of the queueResidential – Sales
destinations.CallbackOptedBooleanIndicates whether the customer opted for a callback.True or False
destinations.CallbackOptedTimeString (ISO 8601 datetime)Timestamp when the customer opted for the callback. Displayed only if CallbackOpted = true2025-09-30T06:34:48.810Z
destinations.userCallbackAcceptTimeString (ISO 8601 datetime)Timestamp when the customer accepted the callback initiated by the agent. Displayed only if CallbackOpted = true2025-09-30T06:35:00.589Z
destinations.EnterTimeString (ISO 8601 datetime)Time at which this conversation entered this queue2023-01-10 2:25:54
destinations.respondingAgentobjectDetails of the responding agent. Note: When an agent responds to a conversation after it has been handed over, their details are captured in the respondingAgent object. However, if the initially assigned agent doesn’t respond and the conversation is reassigned to another agent, details of both the non-responding and responding agents are included in the nonRespondingAgent array of objects.
destinations.respondingAgent.agentIdtype-prefixed-guidSmartAssist’s internal ID for the agentu-f3a11f62-57d7-5a9f-a071-787650b1xxxx
destinations.respondingAgent.agentNotesarray of stringsNotes provided by the agent.[“CUSTOMER has a problem with Products and Sales. She needs an agent to help her.”]
destinations.respondingAgent.destinationTypestringType of agent destination.AgentSegment
destinations.respondingAgent.statusstringStatus of the conversation with this respondingAgent.Answered
destinations.respondingAgent.firstResponseTimeYYYY-MM-DDTHH SSThe time at which this agent first responded2023-01-10 2:25:54
destinations.respondingAgent.firstResponseDurationintegerDuration in seconds, from the time of Agent’s acceptance to the time of his first response.20
destinations.respondingAgent.interactionEndTimeYYYY-MM-DDTHH SSThe time at which the interaction with this respondingAgent ended.2023-01-10 2:25:54
destinations.respondingAgent.interactionDurationintegerDuration in seconds, from the time of Agent’s acceptance to the time of the last utterance51
destinations.respondingAgent.afterCallWorkDurationintegerDuration in seconds, of the post-call-work of this agent.8
destinations.respondingAgent.afterCallWorkEndTimeYYYY-MM-DDTHH SSThe time when this agent completed post-call work.2023-01-10 2:25:54
destinations.respondingAgent.ConsultingAgentsarray of objectsContains details of the internal/external agent to whom the call has been transferred by the primary agent.
destinations.respondingAgent.ConsultingAgents.isMergedBooleanIndicates whether the agent’s record is merged with another.True or False
destinations.respondingAgent.ConsultingAgents.namestringThe name or phone number of the external agent+9198765xxxxx
destinations.respondingAgent.ConsultingAgents.acceptedTimeString (ISO 8601 datetime)The timestamp when the external agent accepted the call.2025-09-30T12:05:45
destinations.respondingAgent.ConsultingAgents.assignedAtString (ISO 8601 datetime)The timestamp when the call was assigned to the external agent.2025-09-30T12:05:36
destinations.respondingAgent.ConsultingAgents.consultingEndTimeString (ISO 8601 datetime)The timestamp when the call ended.2025-09-30T12:05:58
destinations.respondingAgent.JoinedUsersarrayUsers who joined the call.
destinations.respondingAgent.emailstringAgent’s email addressjohn.doe@example.com
destinations.respondingAgent.namecharacter stringAgent’s name
destinations.respondingAgent.assignedAtYYYY-MM-DDTHH SSThe time at which this conversation was assigned to the Agent2023-01-10 2:25:54
destinations.respondingAgent.acceptedTimeYYYY-MM-DDTHH SSThe time at which this Agent accepted this conversation2023-01-10 2:25:54
destinations.nonRespondingAgentsArray of objectsContains details of agents who were assigned to the interaction but didn’t respond.
destinations.nonRespondingAgents.agentIdStringUnique identifier of the agent who was assigned to the interaction but didn’t respond.u-3ea001b4-664a-58b6-8108-b8bca375xxxx
destinations.nonRespondingAgents.agentNotesArray of StringsList of notes or remarks recorded for the interaction, typically describing customer intent, bot behavior, or agent context.The customer initiated a conversation with the bot for various requests, including connecting to an agent.
destinations.nonRespondingAgents.destinationTypeStringSpecifies the segment type of the interaction. For non-responding agents, this value is typically “AgentSegment”.AgentSegment
destinations.nonRespondingAgents.emailstringEmail address of the agent who was assigned to handle the interaction.john.doe@example.com
destinations.nonRespondingAgents.namestringFull name of the assigned agent.John Doe
destinations.nonRespondingAgents.assignedAtstring (ISO 8601 datetime)Timestamp when the agent was assigned to the interaction.2025-10-01T13:08:55
destinations.nonRespondingAgents.nonResponseEventstringDescribes the reason the agent didn’t respond to the assigned interaction (for example, “Ignored”, “Supervisor Reassigned”).Ignored
csatScoreintegerCustomer Satisfaction (CSAT) score submitted for the call. This field is displayed only when the survey type is csat.4
npsScoreintegerNet Promoter Score (NPS) rating submitted for the call, typically on a scale of 0–10, indicating the likelihood of the customer recommending the service. This field is displayed only when the survey type is nps.2
likeDislikeScoreintegerIndicates whether the customer liked or disliked the interaction. A value of 1 represents Like, 0 represents Dislike. Displayed only when the survey type is likeDislike.0
surveyTypestringType of post-call survey associated with the call. For CSAT surveys, the value is csat, likeDislike, npscsat
csatFeedbackstringOptional textual feedback provided by the customer as part of the CSAT survey. Displayed only when the survey type is csat.
services
userleveltagsarray of tag objectsAll user-level tags associated with this session{“name”: “accountnum”,”value”: “1214132431412xxxxx”}
sessionleveltagsarray of tag objectsAll session-level tags associated with this session{“name”: “audioCodesCallDisconnect”,“value”: “1”}
campaigninfoobjectContains metadata of outbound campaigns associated with a specific session or conversation.
campaigninfo.campaignNamestringThe name of the outbound campaign associated with the interaction.Jan 23 hotfix check (Copy)
campaigninfo.campaignIdstringThe name of the outbound campaign associated with the interaction.cd-3e9169e-9b3a-4415-bdcd-4700a44xxxxx
campaigninfo.campaignInstanceIdstringUnique identifier for a specific execution or run of the campaign.cid-3b2e4e9-882d-48a7-a5a3-286b007xxxxx
campaigninfo.campaignDialingListIdstringUnique identifier of the dialing/contact list used in the campaign.cdl-6be0807b-c7cf-53fb-8c3c-ee2f66fxxxxx
campaigninfo.attemptintegerNumber of contact attempts made to the customer within the campaign.2
campaigninfo.contactStatusstringFinal disposition of the contact attempt (for example, answered, no-answer, busy, failed).no-answer
campaigninfo.campaignRunDateDateTime (ISO 8601)Date and time when the campaign was executed, in ISO 8601 UTC format.2026-02-16T14:06:41.807Z
campaigninfo.contactListNamearray[String]Name(s) of the contact list(s) associated with the campaign.WANTED JAN23
channelSpecificUserIdstringChannel-scoped identifier for the conversation.cs-1a12f704-5a74-5a4e-94d1-4a003cbxxxxx/c-40dd2be-1421-4e76-b54a-e5dba60xxxxx